org.eclipse.ease.debugging.dispatcher

## Class EventDispatchJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.ease.debugging.dispatcher.EventDispatchJob

All Implemented Interfaces:
  java.lang.Comparable, IAdaptable, IScriptRegistry

Direct Known Subclasses:
  PythonEventDispatchJob

    public class EventDispatchJob
    extends Job
    implements IScriptRegistry

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Constructor Summary

Constructors
Constructor and Description
`EventDispatchJob(IEventProcessor host, IEventProcessor debugger)` Creates a new dispatcher.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEvent(IDebugEvent event)`
`IResource` `getResource(Script script)` Get the `IResource` identified by this `Script`.
`Script` `getScript(IResource resource)` Return the `Script` identified by this `IResource`.
`void` `put(Script script)` Add a new `Script` to the registry and store its mapping.
`void` `terminate()`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, create, createSystem, createSystem, createSystem, done, getJobGroup, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, join, removeJobChangeListener, schedule, schedule, setJobGroup, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### EventDispatchJob

    public EventDispatchJob(IEventProcessor host,
                            IEventProcessor debugger)

Creates a new dispatcher. The dispatcher automatically attaches to the host and the debugger. Further the job get automatically scheduled.

Parameters:
  `host` - debug model
  `debugger` - debugger implementation

### Method Detail

#### addEvent

    public void addEvent(IDebugEvent event)

#### terminate

    public void terminate()

#### getScript

    public Script getScript(IResource resource)

Description copied from interface: `IScriptRegistry`
Return the `Script` identified by this `IResource`.

Specified by:
  `getScript` in interface `IScriptRegistry`
Parameters:
  `resource` - `IResource` to get `Script` for.
Returns:
  `Script` identified by `IResource` or `null` if no mapping found.

#### getResource

    public IResource getResource(Script script)

Description copied from interface: `IScriptRegistry`
Get the `IResource` identified by this `Script`.

Specified by:
  `getResource` in interface `IScriptRegistry`
Returns:
  `IResource` identified by `Script` or `null` if no mapping found.

#### put

    public void put(Script script)

Description copied from interface: `IScriptRegistry`
Add a new `Script` to the registry and store its mapping.

Specified by:
  `put` in interface `IScriptRegistry`
Parameters:
  `script` - Script to be stored in registry.